import type { AccountId } from "../models/AccountId";
import type { EmailAddress } from "../models/EmailAddress";
import type { SubscriptionPlan } from "../models/SubscriptionPlan";
import type { UserAccountListItem } from "../models/UserAccountListItem";
export declare class AdminService {
    /**
     * Lists all the accounts for an email address.
     * @param email
     * @returns UserAccountListItem Success.
     * @throws ApiError
     */
    static listUserAccounts(email: EmailAddress): Promise<Array<UserAccountListItem>>;
    /**
     * Disables the user's access, deletes their files, and purges the CDN.
     * @param accountId
     * @returns any Success.
     * @throws ApiError
     */
    static wipeAccount(accountId: AccountId): Promise<any>;
    /**
     * Set account limits.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setAccountLimits(accountId: AccountId, requestBody: SubscriptionPlan): Promise<any>;
}
